### Method

# GimpUi Dialog get_native_handle

since: 3.0

#### Declaration [src]

    GBytes*
    gimp_dialog_get_native_handle (
      GimpDialog* dialog
    )

#### Description [src]

Returns an opaque data handle representing the window in the currently running platform. You should not try to use this directly. Usually this is to be used in functions such as `gimp_brushes_popup()` which will allow the core process to set this `GimpDialog` as parent to the newly created popup.

Available since: 3.0

#### Return value

Type: `GBytes`

An opaque `GBytes` identifying this window.

The returned data is owned by the instance.